Skip to main content

BatchCancelTasks

Cancels multiple tasks.

Try it now

Try this API in OpenAPI Explorer, no manual signing needed. Successful calls auto-generate SDK code matching your parameters. Download it with built-in credential security for local usage.

RAM authorization

No authorization for this operation. If you encounter issues with this operation, contact technical support.

Request syntax

PUT /{workspaceId}/quanmiao/lightapp/batchCancelTasks HTTP/1.1

Path Parameters

Parameter

Type

Required

Description

Example

workspaceId

string

No

The unique identifier for the Model Studio workspace. For more information, see How to obtain a workspaceId.

llm-xx

Request parameters

Parameter

Type

Required

Description

Example

taskCode

string

Yes

The identifier for the task type.

EssayCorrectionTask

taskIds

array

No

A list of task IDs. You can specify up to 10,000 IDs.

["xxxx1","xxxx2"]

string

No

The unique ID of a task to be canceled.

xxx

Response elements

Element

Type

Description

Example

object

The response object.

requestId

string

The request ID.

A1B2C3D4-E5F6-7890-GHIJ-KLMNOPQRST

code

string

The error code.

Success

httpStatusCode

integer

The HTTP status code.

200

message

string

The error message if the request fails.

Success

success

boolean

Indicates whether the request was successful.

true

data

object

The result object.

results

array<object>

A list of the cancellation results.

object

The cancellation result for a single task.

taskId

string

The unique ID of the task.

xxxx

success

boolean

Indicates whether the individual task was successfully canceled.

true

errorMessage

string

The error message for a failed task cancellation.

Error message (when cancellation fails)

Examples

Success response JSON format
{
  "requestId": "A1B2C3D4-E5F6-7890-GHIJ-KLMNOPQRST",
  "code": "Success",
  "httpStatusCode": 200,
  "message": "成功",
  "success": true,
  "data": {
    "results": [
      {
        "taskId": "xxxx",
        "success": true,
        "errorMessage": "错误信息(取消失败时)"
      }
    ]
  }
}

Error codes

HTTP status code

Error code

Error message

Description

403NoPermissionYou are not authorized to perform this action , Please check the assignment of the workspaceId.
See Error Codes for a complete list.

Release notes

See Release Notes for a complete list.